﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IClercLogic
    {
        List<ClercViewModel>? ReadList(ClercSearchModel? model);
        ClercViewModel? ReadElement(ClercSearchModel model);
        bool Create(ClercBindingModel model);
        bool Update(ClercBindingModel model);
        bool Delete(ClercBindingModel model);
    }
}
