﻿using BankContracts.BindingModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IReportOrganiserLogic
    {
        List<ReportMemberConferenceViewModel> GetMemberConference();
        List<ReportMembersViewModel> GetMembers(ReportBindingModel model);
        void SaveMemberConferenceToWordFile(ReportBindingModel model);
        void SaveMemberConferenceToExcelFile(ReportBindingModel model);
        void SaveMembersToPdfFile(ReportBindingModel model);
    }
}
