﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IConferenceStorage
    {
        List<ConferenceViewModel> GetFullList();

        List<ConferenceViewModel> GetFilteredList(ConferenceSearchModel model);

        ConferenceViewModel? GetElement(ConferenceSearchModel model);

        ConferenceViewModel? Insert(ConferenceBindingModel model);

        ConferenceViewModel? Update(ConferenceBindingModel model);

        ConferenceViewModel? Delete(ConferenceBindingModel model);
    }
}
