﻿using BankDataModels.Models;
using System.ComponentModel;

namespace BankContracts.ViewModels
{
    public class ConferenceViewModel : IConferenceModel
    {
        [DisplayName("Название конференции")]
        public string ConferenceName { get; set; } = string.Empty;

        [DisplayName("Дата начала конференции")]
        public DateTime StartDate { get; set; }

        public int OrganiserId { get; set; }

        public int Id { get; set; }
        public Dictionary<int, IMemberModel> ConferenceMembers { get; set; }
    }
}
