﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IMemberLogic
    {
        List<MemberViewModel>? ReadList(MemberSearchModel? model);
        MemberViewModel? ReadElement(MemberSearchModel model);
        bool Create(MemberBindingModel model);
        bool Update(MemberBindingModel model);
        bool Delete(MemberBindingModel model);
    }
}
