﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicsContracts
{
    public interface IRoomLogic
    {
        List<RoomViewModel>? ReadList(RoomSearchModel? model);
        RoomViewModel? ReadElement(RoomSearchModel model);
        bool Create(RoomBindingModel model);
        bool Update(RoomBindingModel model);
        bool Delete(RoomBindingModel model);
    }
}
