﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IAdditionsPlanStorage
    {
        List<AdditionsPlanViewModel> GetFullList();

        List<AdditionsPlanViewModel> GetFilteredList(AdditionsSearchModel model);

        AdditionsPlanViewModel? GetElement(AdditionsSearchModel model);

        AdditionsPlanViewModel? Insert(AdditionsBindingModel model);

        AdditionsPlanViewModel? Update(AdditionsBindingModel model);

        AdditionsPlanViewModel? Delete(AdditionsBindingModel model);
    }
}
