﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IClercStorage
    {
        List<ClercViewModel> GetFullList();

        List<ClercViewModel> GetFilteredList(ClercSearchModel model);

        ClercViewModel? GetElement(ClercSearchModel model);

        ClercViewModel? Insert(ClercBindingModel model);

        ClercViewModel? Update(ClercBindingModel model);

        ClercViewModel? Delete(ClercBindingModel model);
    }
}
