﻿using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.StoragesContracts
{
    public interface IConferenceBookingStorage
    {
        List<ConferenceBookingViewModel> GetFullList();

        List<ConferenceBookingViewModel> GetFilteredList(ConferenceBookingSearchModel model);

        ConferenceBookingViewModel? GetElement(ConferenceBookingSearchModel model);

        ConferenceBookingViewModel? Insert(ConferenceBookingBindingModel model);

        ConferenceBookingViewModel? Update(ConferenceBookingBindingModel model);

        ConferenceBookingViewModel? Delete(ConferenceBookingBindingModel model);
    }
}
