﻿using BankDataModels.Models;
using System.ComponentModel;

namespace BankContracts.ViewModels
{
    public class AdditionsPlanViewModel : IAdditionsModel
    {
        [DisplayName("Название плана питания")]
        public string MealPlanName { get; set; } = string.Empty;

        [DisplayName("Цена плана питания")]
        public double MealPlanPrice { get; set; }

        public int OrganiserId { get; set; }

        public int Id { get; set; }

        public Dictionary<int, IMemberModel> MealPlanMembers { get; set; }
    }
}
